Web Reader
curl --request POST \
--url https://api.z.ai/api/paas/v4/reader \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.example.com"
}
'import requests
url = "https://api.z.ai/api/paas/v4/reader"
payload = { "url": "https://www.example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://www.example.com'})
};
fetch('https://api.z.ai/api/paas/v4/reader', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.z.ai/api/paas/v4/reader")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://www.example.com\"\n}")
.asString();{
"id": "<string>",
"created": 123,
"request_id": "<string>",
"model": "<string>",
"reader_result": {
"content": "<string>",
"description": "<string>",
"title": "<string>",
"url": "<string>",
"external": {
"stylesheet": {}
},
"metadata": {
"keywords": "<string>",
"viewport": "<string>",
"description": "<string>",
"format-detection": "<string>"
}
}
}{
"code": 123,
"message": "<string>"
}Tool API
Web Reader
Reads and parses the content of the specified URL. Supports selectable return formats, cache control, image retention, and summary options.
POST
/
paas
/
v4
/
reader
Web Reader
curl --request POST \
--url https://api.z.ai/api/paas/v4/reader \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.example.com"
}
'import requests
url = "https://api.z.ai/api/paas/v4/reader"
payload = { "url": "https://www.example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://www.example.com'})
};
fetch('https://api.z.ai/api/paas/v4/reader', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.z.ai/api/paas/v4/reader")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://www.example.com\"\n}")
.asString();{
"id": "<string>",
"created": 123,
"request_id": "<string>",
"model": "<string>",
"reader_result": {
"content": "<string>",
"description": "<string>",
"title": "<string>",
"url": "<string>",
"external": {
"stylesheet": {}
},
"metadata": {
"keywords": "<string>",
"viewport": "<string>",
"description": "<string>",
"format-detection": "<string>"
}
}
}{
"code": 123,
"message": "<string>"
}Body
application/json
Response
Processing successful
Web reading result
Hide child attributes
Hide child attributes
External resources referenced by the page
Was this page helpful?